import * as timings from "../timings";

export default () => (next) => (action) => {
  timings.forceEnable();
  const key = `redux action: ${action.type}`;
  timings.start(key);
  const result = next(action);
  timings.finish(key);
  return result;
};
